Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 90448 - Import Creator 2 projects
Import Creator 2 projects
Status: RESOLVED FIXED
Product: obsolete
Classification: Unclassified
Component: visualweb
5.x
All All
: P1 (vote)
: 6.x
Assigned To: _ potingwu
issues@obsolete
plan60
: UI, UMBRELLA
Depends on:
Blocks: 90450
  Show dependency treegraph
 
Reported: 2006-12-01 19:54 UTC by Mark Dey
Modified: 2007-05-17 21:51 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Dey 2006-12-01 19:54:45 UTC
The Creator 2 IDE is based on NetBeans 4.1 and includes a web project
implementation that is specialized to support a managed application model based
on JSF. The persisted project structure and metadata is compatible with a
NetBeans 4.1 web project however there are certain project extensions and file
artifacts that the Creator IDE utilizes to provide the visual design time user
interface.

Simply opening a Creator 2 project in NetBeans 5.5 + Visual Web Pack is
straightforward due to the structural compatibility. However, not all of the
project extensions and file artifacts are currently supported in the Visual Web
Pack. Examples include Data Sources, Portlet projects, and EJB & Web Service
clients. In order to support these extensions, certain enhancements must be made
to the VWP itself with corresponding enhancements to NetBeans.

While Creator 2 project import can be considered it's own feature, this will
spawn several other feature proposals for related areas which will be dealt with
separately.
Comment 1 _ potingwu 2007-03-14 19:31:00 UTC
6.0M8 is for importing the project itself. 6.0M9 will be for 'auto-resolve',
    1. data source
    2. web service
    3. EJB
Comment 2 John Baker 2007-05-17 16:58:46 UTC
Creator 2 users must migrate to Creator 2 Update 1 before importing their
project into NetBeans 6.

Importing Creator 2 Update 1 Web Application projects that connect to databases
works nearly seamlessly (little or no user action) using Milestone 9 builds.
For Milestone 10, importing the database projects will be completely seamless.

With the exception of supporting Projects that contain Web Services, EJBs or are
Portlet application.  Others can comment here.
Comment 3 John Baker 2007-05-17 18:30:49 UTC
In M9, importing projects that contain databases isn't completely seamless if
the user doesn't open any pages in the project.  In this case the project
doesn't get modeled so dataconnectivity isn't aware of any data sources in the
project.  For M10, modeling will be done as a background task, when the project
opens
Comment 4 _ potingwu 2007-05-17 18:41:04 UTC
Done! Minor issues will be handled by the sub-components issues.
Comment 5 John Baker 2007-05-17 21:31:32 UTC
This is an umbrella task and there are some sub-tasks to do for M10 (see
dependency list).

I don't think this task should be marked as Resolved.
Comment 6 John Baker 2007-05-17 21:51:34 UTC
I misunderstood this purpose of this issue.  Please disregard my previous comments


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo